Package fr.gouv.vitam.common.model.administration.schema

# Enum Class SchemaType

java.lang.Object
java.lang.Enum<SchemaType>
fr.gouv.vitam.common.model.administration.schema.SchemaType

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaType>`, `Constable`

public enum SchemaType extends Enum<SchemaType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  `DATE`
  `DOUBLE`
  `ENUM`
  `KEYWORD`
  `LONG`
  `OBJECT`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SchemaType`
  `getEnumFromType(String type)`
  `String`
  `getType()`
  `static SchemaType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemaType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final SchemaType TEXT

  - ### KEYWORD

    public static final SchemaType KEYWORD

  - ### DATE

    public static final SchemaType DATE

  - ### LONG

    public static final SchemaType LONG

  - ### DOUBLE

    public static final SchemaType DOUBLE

  - ### BOOLEAN

    public static final SchemaType BOOLEAN

  - ### ENUM

    public static final SchemaType ENUM

  - ### OBJECT

    public static final SchemaType OBJECT

- ## Method Details

  - ### values

    public static SchemaType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SchemaType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public String getType()

  - ### getEnumFromType

    public static SchemaType getEnumFromType(String type) throws IllegalStateException
    Throws:
      `IllegalStateException`